---
title: List identity providers
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Identity Providers
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# List identity providers{% #list-identity-providers %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                |
| ----------------- | ----------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/identity_providers |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/identity_providers |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/identity_providers      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/identity_providers      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/identity_providers  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/identity_providers |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/identity_providers     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/identity_providers |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/identity_providers |

### Overview

Get all identity providers available for the current organization. This endpoint requires any of the following permissions:
`org_management``user_access_manage` 


OAuth apps require the `org_management` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#identity-providers) to access this endpoint.



### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a list of identity providers for an organization.

| Parent field | Field                                   | Type     | Description                                                                         |
| ------------ | --------------------------------------- | -------- | ----------------------------------------------------------------------------------- |
|              | data [*required*]                  | [object] | List of organization identity provider data objects.                                |
| data         | attributes [*required*]            | object   | Attributes of an organization identity provider.                                    |
| attributes   | authentication_method [*required*] | string   | The authentication method used by this identity provider.                           |
| attributes   | enabled [*required*]               | boolean  | Whether this identity provider is enabled for the organization.                     |
| data         | id [*required*]                    | string   | The unique identifier of the identity provider.                                     |
| data         | type [*required*]                  | enum     | The resource type for identity providers. Allowed enum values: `identity_providers` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "authentication_method": "SAML",
        "enabled": true
      },
      "id": "00000000-0000-0000-0000-000000000001",
      "type": "identity_providers"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Authentication error
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/identity_providers" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
